# Retrieve list of executions using audienceId

Retrieve a list of workflow executions, whether they were succesful or not, and their status.

Endpoint: GET /audiences/{audienceId}/executions
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment Config id to delete

## Response 200 fields (application/json):

  - `workflowId` (string, required)

  - `workflowSessionId` (string, required)

  - `createdAt` (string, required)

  - `finishedAt` (string,null, required)

  - `status` (string, required)
    Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"

  - `workflowAttemptId` (string, required)

  - `audienceId` (string)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message


